DataCubeControllerPreviewTransformStatistics Method

POST /DataCube/PreviewTransformStatistics/{id} Gets preview statistics for the specified transform from a data cube.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("PreviewTransformStatistics")]
public IActionResult PreviewTransformStatistics(
	Guid id,
	[FromBodyAttribute] PreviewTransformStatisticsOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to preview the transform statistics from.
options
Type: Dundas.BI.WebApi.ModelsPreviewTransformStatisticsOptions
The options for the preview.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A TransformStatisticsData object containing the data for the preview, or a status code indicating the problem.
See Also